#include <iostream>
#ifdef _WIN32
#include <processthreadsapi.h>
typedef void* HWND;
#define pthread_t HANDLE
#else
#include <pthread.h>
#include <unistd.h>
#endif
extern "C"
#ifdef _WIN32 
__declspec(dllexport) void CALLBACK
#else
void
#endif
interactive(pthread_t thread) {
#ifndef _WIN32
std::cout << "Enter new priority";
if (getuid())std::cout << " (may require root privileges)";
std::cout << " (1-99): " << std::endl;
sched_param sch_params;
std::cin>>sch_params.sched_priority;
if (pthread_setschedparam(thread, SCHED_RR, &sch_params) != 0)
#else
std::cout << "Enter new priority: ";
int priority;
std::cin >> priority;
if (SetThreadPriority(thread, priority) == 0) 
#endif
  {
    std::cerr << "Setting priority failed" << std::endl;
} else {
    std::cout << "Changed priority for thread " << thread << std::endl;
}
}
